List employee external calendar imports
Returns configured HTTPS ICS feeds that sync busy blocks into Leadtime for this employee.
GET
/employees/{id}/external-calendar-feedsAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredResponses
200
Array of
ExternalCalendarFeedResponseDtocreatedAtstringrequirededitedAtstringrequiredenabledbooleanrequiredidstringrequiredlabelstringlastErrorobject | nulllastFetchedAtobject | nullsourceUrlstringrequired401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/employees/string/external-calendar-feeds" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/employees/string/external-calendar-feeds", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/employees/string/external-calendar-feeds",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
[
{
"createdAt": "string",
"editedAt": "string",
"enabled": true,
"id": "string",
"label": "string",
"lastError": {},
"lastFetchedAt": {},
"sourceUrl": "string"
}
]Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions